Issue 121899

Summary: PDF export: enable "hybrid" PDF export even if the PDF import extension is not installed
Product: General Reporter: Ariel Constenla-Haile <arielch>
Component: codeAssignee: Ariel Constenla-Haile <arielch>
Status: RESOLVED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: issues, oliver.brinzing
Version: 4.0.0-dev   
Target Milestone: 4.0.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Ariel Constenla-Haile 2013-03-15 10:53:11 UTC
Currently, the option to embed the file being exported into the output PDF is only enabled if the PDF Import extension is installed (extension that, by the way, is no longer being developed at Apache OpenOffice due to license conflicts).

http://svn.apache.org/viewvc/openoffice/trunk/main/filter/source/pdf/impdialog.cxx?revision=1413471&view=markup#l579

This option should be enabled regardless of the extension being installed or not, as it might be useful by itself.
Comment 1 Oliver Brinzing 2013-03-18 05:47:25 UTC
.
Comment 2 SVN Robot 2013-03-24 13:20:41 UTC
"arielch" committed SVN revision 1460352 into trunk:
i121899 - Enable "hybrid" PDF export by default
Comment 3 Ariel Constenla-Haile 2013-03-24 13:26:57 UTC
Fixed on trunk